Subject: Re: bug#24985: Add missing provide statements

From: Philippe Vaucher <[email-masked]>
Date: Tue, 22 Nov 2016 14:58:19 +0100

>
> >  (defalias 'toggle-auto-composition 'auto-composition-mode)
> >
> > +(provide 'auto-composition-mode)
>
> Why that? I would expect (provide 'composite) here.
>

I thought that the most interesting thing in composite was
auto-composition-mode... same reasoning for replace.el which provided
'occur in my first patch.

Anyway, you're right, it's not very consistent. Here attached is a new
patch that simply follows the file name.

In the future, I think we should consider renaming/splitting these files so
each mode provide its feature (e.g occur provides 'occur, etc).

Best regards,
Philippe
From f86383d8ff683bc88a1410708d8e52a33d38fa67 Mon Sep 17 00:00:00 2001
From: Philippe Vaucher <[email-masked]>
Date: Tue, 22 Nov 2016 09:35:22 +0100
Subject: [PATCH] Add missing provide statements

* lisp/composite.el: add provide statement
* lisp/replace.el: add provide statement
* lisp/textmodes/text-mode.el: add provide statement
---
 lisp/composite.el           | 2 ++
 lisp/replace.el             | 2 ++
 lisp/textmodes/text-mode.el | 2 ++
 3 files changed, 6 insertions(+)

diff --git a/lisp/composite.el b/lisp/composite.el
index 94b14df..53013c1 100644
--- a/lisp/composite.el
+++ b/lisp/composite.el
@@ -843,6 +843,8 @@ For more information on Auto Composition mode, see
 
 (defalias 'toggle-auto-composition 'auto-composition-mode)
 
+(provide 'composite)
+
 
 
 ;;; composite.el ends here
diff --git a/lisp/replace.el b/lisp/replace.el
index eb5e0cf..ae1c192 100644
--- a/lisp/replace.el
+++ b/lisp/replace.el
@@ -2544,4 +2544,6 @@ It must return a string."
 		   "")))
     (or (and keep-going stack) multi-buffer)))
 
+(provide 'replace)
+
 ;;; replace.el ends here
diff --git a/lisp/textmodes/text-mode.el b/lisp/textmodes/text-mode.el
index 731c2d2..51a7bbe 100644
--- a/lisp/textmodes/text-mode.el
+++ b/lisp/textmodes/text-mode.el
@@ -232,4 +232,6 @@ The argument NLINES says how many lines to center."
 	   (setq nlines (1+ nlines))
 	   (forward-line -1)))))
 
+(provide 'text-mode)
+
 ;;; text-mode.el ends here
-- 
2.10.2